extractr docs
Facebook

Get post comments

GET
/facebook/comments

Top comments on a public post with author, like counts and reply counts.

Costs 3 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

post_id*string
Length1 <= length
limit?integer
Range1 <= value <= 50
Default20

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/facebook/comments?post_id=104958162837_98213467"
{  "post_id": "string",  "total": 0,  "comments": [    {      "id": "string",      "author": {        "id": "string",        "name": "string"      },      "text": "string",      "created_at": "2019-08-24T14:15:22Z",      "likes": 0,      "replies_count": 0    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}